Summary:        PolicyKit agent for Nde desktop suite
Name:           nde-policykit
Version:        0.0.1
Release:        2%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(polkit-qt5-1), pkgconfig(polkit-agent-1), pkgconfig(Qt5Help), libqtxdg-devel, kf5-kwindowsystem-devel
BuildRequires:  cmake, gcc, gcc-c++, nde-lib-devel
BuildRequires:  glib2-devel, desktop-file-utils, libstatgrab-devel
Provides:       PolicyKit-authentication-agent = %{version}



%description
%{summary}.

%package l10n
Summary:        Translations for nde-policykit
Requires:       nde-policykit
%description l10n
This package provides translations for the nde-policykit package.



%prep
%setup -q
sed -i 's|=nde-policykit-agent|=/usr/libexec/nde-policykit-agent|g' autostart/nde-policykit-agent.desktop.in



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
        -DPOLKIT_AGENT_BINARY_DIR=%{_libexecdir} \
        -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
install -d %{buildroot}/%{_sysconfdir}/xdg/autostart

%find_lang nde-policykit-agent --with-qt



%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libexecdir}/nde-policykit-agent
%{_sysconfdir}/xdg/autostart/nde-policykit-agent.desktop
%{_datadir}/nde/translations/%{name}-agent
%{_mandir}/man1/nde-policykit*

%files l10n -f nde-policykit-agent.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-policykit-agent



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-2
- small fix

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)


